- [HTTP request](https://docs.cloud.google.com/workstations/docs/reference/rest/v1/projects.locations.workstationClusters/patch#body.HTTP_TEMPLATE)
- [Path parameters](https://docs.cloud.google.com/workstations/docs/reference/rest/v1/projects.locations.workstationClusters/patch#body.PATH_PARAMETERS)
- [Query parameters](https://docs.cloud.google.com/workstations/docs/reference/rest/v1/projects.locations.workstationClusters/patch#body.QUERY_PARAMETERS)
- [Request body](https://docs.cloud.google.com/workstations/docs/reference/rest/v1/projects.locations.workstationClusters/patch#body.request_body)
- [Response body](https://docs.cloud.google.com/workstations/docs/reference/rest/v1/projects.locations.workstationClusters/patch#body.response_body)
- [Authorization scopes](https://docs.cloud.google.com/workstations/docs/reference/rest/v1/projects.locations.workstationClusters/patch#body.aspect)
- [Try it!](https://docs.cloud.google.com/workstations/docs/reference/rest/v1/projects.locations.workstationClusters/patch#try-it)

Updates an existing workstation cluster.

### HTTP request

Choose an endpoint:
global asia-south1 europe-west6 us-central1 us-east1 us-east4 us-east5 us-west1 us-west4   
`PATCH https://workstations.googleapis.com/v1/{workstationCluster.name=projects/*/locations/*/workstationClusters/*}`

<br />

The URLs use [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `workstationCluster.name` | `string` Identifier. Full name of this workstation cluster. |

### Query parameters

| Parameters ||
|---|---|
| `updateMask` | ``string (`https://protobuf.dev/reference/protobuf/google.protobuf#field-mask` format)`` Required. Mask that specifies which fields in the workstation cluster should be updated. This is a comma-separated list of fully qualified names of fields. Example: `"user.displayName,photo"`. |
| `validateOnly` | `boolean` Optional. If set, validate the request and preview the result, but do not actually apply it. |
| `allowMissing` | `boolean` Optional. If set, and the workstation cluster is not found, a new workstation cluster will be created. In this situation, updateMask is ignored. |

### Request body

The request body contains an instance of `https://docs.cloud.google.com/workstations/docs/reference/rest/v1/projects.locations.workstationClusters#WorkstationCluster`.

### Response body

If successful, the response body contains an instance of `https://docs.cloud.google.com/workstations/docs/reference/rest/Shared.Types/ListOperationsResponse#Operation`.

### Authorization scopes

Requires the following OAuth scope:

- `https://www.googleapis.com/auth/cloud-platform`

For more information, see the [Authentication Overview](https://docs.cloud.google.com/docs/authentication#authorization-gcp).